Bug 28239 - MCC compiz effects should inform user of incompatibility with Plasma (and more?)
Summary: MCC compiz effects should inform user of incompatibility with Plasma (and more?)
Status: REOPENED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: High normal
Target Milestone: Mageia 8
Assignee: Mageia tools maintainers
QA Contact:
URL:
Whiteboard:
Keywords: IN_RELEASENOTES8
Depends on:
Blocks:
 
Reported: 2021-01-28 14:17 CET by Jose Manuel López
Modified: 2021-02-16 10:55 CET (History)
3 users (show)

See Also:
Source RPM: drak3d-2.7-3.mga8.src.rpm
CVE:
Status comment:


Attachments

Description Jose Manuel López 2021-01-28 14:17:42 CET
Description of problem: I open MCC, section Hardware, 3D effects, I aplicate compiz effects, reboot and Mageia no boot after login screen. From terminal tty2, I go to drakconf and select 3D effects. Appears "This system don't support 3d effects.


Version-Release number of selected component (if applicable): Mageia 8 Plasma and Compiz


How reproducible: Go to MCC and activate 3D compiz effects. Mageia no boot after login screen.


Steps to Reproduce:
1. Go to MCC.
2. Activate 3D compiz effects
3. Reboot.
Comment 1 Aurelien Oudelet 2021-01-28 14:35:18 CET
No, you can't use compiz fusion with Plasma. This is no longer supported upstream.

Instead use KWin effects in Systemsettings5.


We do write something in Release note for M8.

CC: (none) => ouaurelien
Status: NEW => RESOLVED
Resolution: (none) => INVALID
Keywords: (none) => FOR_RELEASENOTES8

Comment 2 Jose Manuel López 2021-01-28 14:43:08 CET
Pherhaps, We should indicate it with a warning, in 3D Effects of MCC.

Greetings!!
Comment 3 Morgan Leijström 2021-01-28 15:07:02 CET
(In reply to Jose Manuel López from comment #0)
> MCC, section Hardware, 3D effects, I aplicate compiz effects

(In reply to Aurelien Oudelet from comment #1)
> No, you can't use compiz fusion with Plasma.
> This is no longer supported upstream.

Then this is a bug: MCC should not have a setting for it.
- Or does it work with any other desktop?

Can it be switched to Kwin effects automatically at upgrade from Mageia 7 with compiz enabled, or it need user action?  (I.e say in upgrade instruction to first disable compiz)

Target Milestone: --- => Mageia 8
Resolution: INVALID => (none)
CC: (none) => fri
Summary: I can't applicate the compiz effects in plasma desktop. => MCC should not provide compiz effects choice: does not work and not supported upstream
Priority: Normal => High
Status: RESOLVED => REOPENED

Comment 4 Aurelien Oudelet 2021-01-28 15:33:26 CET
Yes, Morgan, you're right.

Use of drake3D should be forbidden under Plasma 5.20.
We should redirect users to use:
systemsettings5 => Workspace => Workspace Behavior => Desktop Effects.


Asking drak3D maintainer.

Source RPM: Compiz => drak3d-2.7-3.mga8.src.rpm
Assignee: bugsquad => mageiatools

Comment 5 Morgan Leijström 2021-01-28 15:47:20 CET
Second thought

I think it just need to display a short text telling which desktops it works with, and which it is incompatible with.

As user can have several DE installed, I think drak3D should not hinder depending on the currently used DE.
Comment 6 Jose Manuel López 2021-02-02 09:35:16 CET
Yes, Morgan, that's what I meant in comment 2. Drackconf should display a warning that it is not compatible with Plasma.
Morgan Leijström 2021-02-02 14:13:21 CET

Summary: MCC should not provide compiz effects choice: does not work and not supported upstream => MCC compiz effects: should inform user of incompatibility with Plasma (amnd more?)

Comment 7 Morgan Leijström 2021-02-02 14:19:37 CET
For writing about compiz in release notes:

On Mageia 7, do compiz work with Plasma?
(If so tell users of Plasma to uninstall compiz before upgrade)

What about other desktops compatibility difference Mageia7/8?

What about other ingredients, like wayland?

Summary: MCC compiz effects: should inform user of incompatibility with Plasma (amnd more?) => MCC compiz effects should inform user of incompatibility with Plasma (and more?)

Comment 8 Morgan Leijström 2021-02-05 20:51:17 CET
For now, added in 
https://wiki.mageia.org/en/Mageia_8_Release_Notes#Plasma
( telling to disable before upgrading Mageia, and uninstall if it is not used for other desktops. )

What about Gnome and other desktops?

Keywords: FOR_RELEASENOTES8 => IN_RELEASENOTES8

Comment 9 papoteur 2021-02-05 22:04:02 CET
Hello,
I think that the distinction between the content of the release notes and the errata is not really respected:

Note also that Wayland session with Nvidia's 455 (current) nonfree-drivers is available by making sure that "nokmsboot" is removed and "nouveau.modeset=0" is passed to Kernel command line. -> for errata
This is provided as Technology Preview for testers. -> release notes

The default display manager (DM) for the Plasma environment is the Simple Desktop Display Manager (SDDM).-> release notes

The Dolphin right click extension kde-rootactions-servicemenu is removed as it is unmaintained upstream and have issues.-> for errata

Compiz desktop effects is no longer compatible with Plasma. If you use it in Plasma on Mageia 7 then disable it in Mageia Control Center Hardware -> Configure 3D Desktop effects - before upgrade, and if you don't want Compiz for another desktop environment, uninstall it. After install/upgrade of Mageia, you find desktop effects at System Settings (icon in panel) -> Workspace -> Workspace Behavior -> Desktop Effects. -> for errata

CC: (none) => yves.brungard_mageia

Comment 10 Morgan Leijström 2021-02-06 11:46:30 CET
It is always hard to judge between them, and there is personal taste.

Example: In my mind if we had kept the defunct kde-rootactions-servicemenu that would be an error, now we instead inform we dropped it, which is no error/bug IMO.

Likewise Compiz is by design incompatible to Plasma in our release now which made me think release notes.

Anyhow, just it easy to find either place. :)
But not both - excepif very important maybe a short note at one place with link to the other.

Thanks for bringing up discussion.
Do we have some guidline written?
Comment 11 Morgan Leijström 2021-02-06 12:01:18 CET
I see you added to Errata per comment nine, good.

I now removed rootactions note from Release Notes, and changed Compiz note to: 

" If you have '''Compiz''' enabled in Mageia 7, disable it before upgrade, see [[Mageia_8_Errata#Plasma|Errata]]. "

I agree this looks better, and also is better in line with the GNOME errata section.

:)
Comment 12 Jose Manuel López 2021-02-16 10:49:41 CET
We can close this bug? If this appears in the Errata web of Mageia 8, I think that we can close this bug.

:)
Comment 13 Morgan Leijström 2021-02-16 10:55:23 CET
It would be better to have that warning shown in the tools, than in every errata.

Note You need to log in before you can comment on or make changes to this bug.